/*
 * 
 * ==============================================================================
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package org.wicketstuff.datatable_autocomplete.util;

import java.util.List;

/**
 * @author mocleiri
 * 
 */
public final class StringUtils {

	/**
	 * 
	 */
	private StringUtils() {
		// TODO Auto-generated constructor stub
	}

	public static String join(List<String> c, String seperator) {

		return join(new StringBuffer(), c, seperator).toString();
	}
	
	public static StringBuffer join(StringBuffer buf, List<String> c,
			String seperator) {

		for (int i = 0; i < c.size() - 1; i++) {

			String param = c.get(i);

			buf.append(param);
			buf.append(seperator);
		}

		buf.append(c.get(c.size() - 1));

		return buf;
	}
}
